/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';
@import 'css/mixins/_fonts.scss';

.transactionLink {
  &__title {
    @include primary-text(1rem, $coa-dark-gray-100, 600);
    margin-bottom: 20px;
  }
  &__linkContainer {
    display: flex;
    align-items: center;
    column-gap: 0.5rem;
    &__title {
      @include primary-text(1rem, $coa-grey-100, 400);
    }
  }
  &__link {
    display: block;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    text-decoration: underline;
    @include primary-text(1rem, $coa-primary, 400);
  }
}
